#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, k, x, z=0, c=1, ans=0;
    cin >>n >> k >> x;
    vector<int> a(n+1);
    vector<int> p(n+1);
    p[0]=0;
    for (int i=1; i<= n; i++)
    {
        cin >> a[i];
        p[i]=p[i-1]+a[i];
        if(i<=k)
        {
            ans+=a[i]*c;
            c++;
        }
        if(a[i]<0)
            z=1;
    }
    if(z==0)
    {
        cout << ans << endl;
        for (int i=1; i<=n-k; i++)
        {
            ans=ans-(p[i+k-1]-p[i-1])+a[i+k]*x;
            cout << ans << endl;
        }
    }



}